org.apache.uima.adapter.jms.activemq

## Class JmsOutputChannel.ConnectionTimer

- java.lang.Object
- - org.apache.uima.adapter.jms.activemq.JmsOutputChannel.ConnectionTimer

- Enclosing class:
    JmsOutputChannel

      protected class JmsOutputChannel.ConnectionTimer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionTimer(JmsOutputChannel.BrokerConnectionEntry aBrokerDestinations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAnalysisEngineController(org.apache.uima.aae.controller.AnalysisEngineController aController)`
    `void` | `setConnectionCreationTimestamp(long aConnectionCreationTimestamp)`
    `void` | `setInactivityTimeout(long anInactivityTimeout)`
    `void` | `startSessionReaperTimer(String aComponentName)` Schedules regular cleanup of JMS sessions.
    `void` | `stopSessionReaperTimer()`
    `void` | `stopTimer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionTimer

          public ConnectionTimer(JmsOutputChannel.BrokerConnectionEntry aBrokerDestinations)

  - ### Method Detail

    - #### setInactivityTimeout

          public void setInactivityTimeout(long anInactivityTimeout)

    - #### setAnalysisEngineController

          public void setAnalysisEngineController(org.apache.uima.aae.controller.AnalysisEngineController aController)

    - #### setConnectionCreationTimestamp

          public void setConnectionCreationTimestamp(long aConnectionCreationTimestamp)

    - #### stopSessionReaperTimer

          public void stopSessionReaperTimer()

    - #### startSessionReaperTimer

          public void startSessionReaperTimer(String aComponentName)

      Schedules regular cleanup of JMS sessions. A session is cleaned up (closed) if it has not been used in an interval defined by value in inactivityTimeout.
      Parameters:
        `aComponentName` -

    - #### stopTimer

          public void stopTimer()

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.